init python:
    config.overlay_screens.append("cheats")

define variables_character = "warning"
define variables_char_list = [
    "amrose",
    "lydia",
    "min",
    "lyssa",
    "stacy",
    "daisy",
    "polly & nora",
    "pete",
    "dahlia",
    "maria",
    "vanessa",
    "chloe",
    "jessie",
    "other+points"
    
]

style cheats_menu_text:
    color "#F0F0F0"
    hover_color "#E68231"
    size 36
    
style text_small_cheats:
    color "#F0F0F0"
    hover_color "E68231"
    size 29
    
style text_small_cheats2:
    color "#F0F0F0"
    hover_color "E68231"
    size 24

    
init 1:
    
    screen cheats():
        hbox:
            style_prefix "quick"
            xalign 1.0
            yalign 1.0

            textbutton _("{b}CHEATS{/b}") action Show("cheat_menu") text_size 17

    screen cheat_menu():
        modal True
        add "cheats/tab.png"
        vbox:
            xpos 85
            ypos 900
            textbutton "Close" action [Hide("cheat_menu"), Call("show_fl_points_overlay")] text_style "cheats_menu_text"
  
        vbox:
            spacing 0
            xpos 85
            ypos 150
            for i in variables_char_list:
                    textbutton "%s" % i.capitalize() action SetVariable("variables_character","%s" % i) text_style "text_small_cheats" text_size 35
                    
        vbox xpos 340 ypos 150:
          if variables_character != "warning":
            add im.MatrixColor(im.FactorScale("cheats/%s.jpg" % variables_character,0.765,0.74),im.matrix.opacity(0.4)) 
        frame xpos 360 ypos 150 background None:
            vbox xpos 0 ypos 0 spacing 5:
                if variables_character == "warning":
                    textbutton "{color=#F0F0F0}Here you can change paths you're currently on and some variables/decisions.\nFor path options, only the main variables are changed, you may miss out on some\ndialogue or events if other variables are involved.\n\nMore variables will become visible as you progress through the game.\n\nTo change the variables just click on them."  text_style "cheats_menu_text" action NullAction()
                ##################################################################
                elif variables_character == "amrose":
                    vbox xpos 0 ypos 0 spacing 5:
                        if date_arj_sexslave:
                            textbutton "Sexslave path"  text_style "text_small_cheats" action [SetVariable("date_arj_sexslave", False), SetVariable("date_arj_romance", True)]
                        elif date_arj_romance:
                            textbutton "Romance path"  text_style "text_small_cheats" action [SetVariable("date_arj_sexslave", True), SetVariable("date_arj_romance", False)]
                        #if hasattr(store, "d14s03_arj_kiss"):
                            #if d14s03_arj_kiss == True:
                                #textbutton "Kissed AmRose on Day 14" text_style "text_small_cheats" action SetVariable(d14s03_arj_kiss, False)
                            #elif d14s03_arj_kiss == False:
                                #textbutton "Didn't kiss AmRose on Day 14" text_style "text_small_cheats" action SetVariable(d14s03_arj_kiss, True)                           
                ###################################################################
                elif variables_character == "lydia":
                    vbox xpos 0 ypos 0 spacing 5:
                        if hasattr(store, "d10p2s08_love"):
                            if d10p2s08_love:
                                textbutton "Told Lydia you love her"  text_style "text_small_cheats" action SetVariable("d10p2s08_love", False)
                            elif not d10p2s08_love:
                                textbutton "Didn't tell Lydia you love her"  text_style "text_small_cheats" action SetVariable("d10p2s08_love", True)
                        if hasattr(store, "d12s05_stop"):     
                            if d12s05_stop:
                                textbutton "Stopped Lydia during the handjob on Day 12"  text_style "text_small_cheats" action SetVariable("d12s05_stop", False)
                            elif not d12s05_stop:
                                textbutton "Didn't stop Lydia during the handjob on Day 12"  text_style "text_small_cheats" action SetVariable("d12s05_stop", True)
                        if cage_ntr:
                            textbutton "Chose NTR cage"  text_style "text_small_cheats" action SetVariable("cage_ntr", False)
                        elif not cage_ntr:
                            textbutton "Chose Love cage"  text_style "text_small_cheats" action SetVariable("cage_ntr", True)
                        if cage_both:
                            textbutton "Mod: see both cage's paths (after day 18 for now)"  text_style "text_small_cheats" action SetVariable("cage_both", False)
                        elif not cage_both:
                            textbutton "Mod: don't see both cage's paths"  text_style "text_small_cheats" action SetVariable("cage_both", True)

                                
                ######################################################################
                elif variables_character == "min":
                    vbox xpos 0 ypos 0 spacing 5:
                        if date_mes:
                            textbutton "On Min path"  text_style "text_small_cheats" action SetVariable("date_mes", False)
                        elif not date_mes:
                            textbutton "Not on Mith path"  text_style "text_small_cheats" action SetVariable("date_mes", True)
                ######################################################################
                elif variables_character == "lyssa":
                    vbox xpos 0 ypos 0 spacing 5:
                        if date_mh:
                            textbutton "On Lyssa path"  text_style "text_small_cheats" action SetVariable("date_mh", False)
                            if date_mh_bdsm:
                                textbutton "Domination path"  text_style "text_small_cheats" action [SetVariable("date_mh_bdsm", False), SetVariable("date_mh_romance", True)]
                            elif date_mh_romance:
                                textbutton "Romance path"  text_style "text_small_cheats" action [SetVariable("date_mh_bdsm", True), SetVariable("date_mh_romance", False)]
                            if hasattr(store, "d17s05_mh_op"):
                                if d17s05_mh_op:
                                    textbutton "On Oliver + Lyssa path"  text_style "text_small_cheats" action SetVariable("d17s05_mh_op", False)
                                elif not d17s05_mh_op:
                                    textbutton "Not on Oliver + Lyssa path"  text_style "text_small_cheats" action SetVariable("d17s05_mh_op", True)
                            if hasattr(store, "d17s05_mh_sy"):
                                if d17s05_mh_sy:
                                    textbutton "On Stacy + Lyssa path"  text_style "text_small_cheats" action SetVariable("d17s05_mh_sy", False)
                                elif not d17s05_mh_sy:
                                    textbutton "Not on Stacy + Lyssa path"  text_style "text_small_cheats" action SetVariable("d17s05_mh_sy", True)
                        elif not date_mh:
                            textbutton "Not on Lyssa path"  text_style "text_small_cheats" action SetVariable("date_mh", True)
                ######################################################################
                elif variables_character == "stacy":
                    vbox xpos 0 ypos 0 spacing 5:
                        if date_sy:
                            textbutton "On Stacy path"  text_style "text_small_cheats" action SetVariable("date_sy", False)
                        elif not date_sy:
                            textbutton "Not on Stacy path"  text_style "text_small_cheats" action SetVariable("date_sy", True)
                        if hasattr(store, "d14s05_tickle_win"):
                            if d14s05_tickle_win:
                                textbutton "Won tickle fight with Stacy on Day 14"  text_style "text_small_cheats" action SetVariable("d14s05_tickle_win", False)
                            if not d14s05_tickle_win:
                                textbutton "Didn't win tickle fight with Stacy on Day 14"  text_style "text_small_cheats" action SetVariable("d14s05_tickle_win", True)
                ######################################################################
                elif variables_character == "daisy":
                    vbox xpos 0 ypos 0 spacing 5:
                        if date_dd:
                            textbutton "On Daisy path"  text_style "text_small_cheats" action SetVariable("date_dd", False)
                        elif not date_dd:
                            textbutton "Not on Daisy path"  text_style "text_small_cheats" action SetVariable("date_dd", True)
                ######################################################################
                elif variables_character == "dahlia":
                    vbox xpos 0 ypos 0 spacing 5:
                        if date_dw:
                            textbutton "On Dahlia path"  text_style "text_small_cheats" action SetVariable("date_dw", False)
                            if mod_quartet:
                                textbutton "On Quartet path (Dahlia/Samiya/MC/Pete)"  text_style "text_small_cheats" action [ToggleVariable("mod_quartet"), SetVariable("d15s04_quartet_prep", False)]
                            elif not mod_quartet:
                                textbutton "Not on Quartet path (Dahlia/Samiya/MC/Pete)"  text_style "text_small_cheats" action [ToggleVariable("mod_quartet"), SetVariable("d15s04_quartet_prep", True)]
                        elif not date_dw:
                            textbutton "Not on Dahlia path"  text_style "text_small_cheats" action SetVariable("date_dw", True)

                ######################################################################
                elif variables_character == "polly & nora":
                    vbox xpos 0 ypos 0 spacing 5:
                        if date_pw:
                            textbutton "On Polly & Nora path"  text_style "text_small_cheats" action SetVariable("date_pw", False)
                            if hasattr(store, "date_nk_preg"):
                                if date_nk_preg:
                                    textbutton "Dating pregnant Nora"  text_style "text_small_cheats" action [SetVariable("date_nk_preg", False), SetVariable("mod_nk_preg", False)]
                                elif not date_nk_preg:
                                    textbutton "Not dating pregnant Nora"  text_style "text_small_cheats" action [SetVariable("date_nk_preg", True),  SetVariable("mod_nk_preg", True)]
                        elif not date_pw:
                            textbutton "Not on Polly & Nora path"  text_style "text_small_cheats" action SetVariable("date_pw", True)
                        
                ######################################################################
                elif variables_character == "maria":
                    vbox xpos 0 ypos 0 spacing 5:
                        if date_mk:
                            textbutton "On Maria path"  text_style "text_small_cheats" action SetVariable("date_mk", False)
                            if hasattr(store, "date_mk_tr"):
                                if date_mk_tr:
                                    textbutton "Sharing Maria with Tyrell"  text_style "text_small_cheats" action SetVariable("date_mk_tr", False)
                                    if hasattr(store, "d12s01_mk_photo"):
                                        if d12s01_mk_photo:
                                            textbutton "Asked Maria to send photos on Day 12"  text_style "text_small_cheats" action ToggleVariable("d12s01_mk_photo")
                                        elif not d12s01_mk_photo:
                                            textbutton "Didn't ask Maria to send photos on Day 12"  text_style "text_small_cheats" action ToggleVariable("d12s01_mk_photo")
                                elif not date_mk_tr:
                                    textbutton "Not sharing Maria with Tyrell"  text_style "text_small_cheats" action SetVariable("date_mk_tr", True)
                        elif date_mk is False:
                            textbutton "Not on Maria path"  text_style "text_small_cheats" action SetVariable("date_mk", True)
                ######################################################################
                elif variables_character == "vanessa":
                    vbox xpos 0 ypos 0 spacing 5:
                        if date_vw:
                            textbutton "On Vanessa path"  text_style "text_small_cheats" action SetVariable("date_vw", False)
                        elif not date_vw:
                            textbutton "Not on Vanessa path"  text_style "text_small_cheats" action SetVariable("date_vw", True)
                        if hasattr(store, "d13s08_telescope_checked"):
                            if d13s08_telescope_checked:
                                textbutton "Checked Vanessa's telescope on Day 13"  text_style "text_small_cheats" action SetVariable("d13s08_telescope_checked", False)
                            elif not d13s08_telescope_checked:
                                textbutton "Didn't check Vanessa's telescope on Day 13"  text_style "text_small_cheats" action SetVariable("d13s08_telescope_checked", True)
                        if hasattr(store, "date_awvw"):
                            if date_awvw:
                                textbutton "On Allison & Vanessa path"  text_style "text_small_cheats" action SetVariable("date_awvw", False)
                            elif not date_awvw:
                                textbutton "Not on Allison & Vanessa path"  text_style "text_small_cheats" action SetVariable("date_awvw", True)
                ######################################################################
                elif variables_character == "chloe":
                    vbox xpos 0 ypos 0 spacing 5:
                        if date_cb:
                            textbutton "On Chloe path"  text_style "text_small_cheats" action [SetVariable("date_cb", False), SetVariable("d03s05_kevin_supported", False)]
                        elif not date_cb:
                            textbutton "Not on Chloe path"  text_style "text_small_cheats" action [SetVariable("date_cb", True), SetVariable("d03s05_kevin_supported", True)]
                ######################################################################
                elif variables_character == "jessie":
                    vbox xpos 0 ypos 0 spacing 5:
                        if hasattr(store, "date_jf"):
                            if date_jf:
                                textbutton "On Jessie path"  text_style "text_small_cheats" action SetVariable("date_jf", False)
                            elif not date_jf:
                                textbutton "Not on Jessie path"  text_style "text_small_cheats" action SetVariable("date_jf", True)
                ######################################################################                
                elif variables_character == "pete":
                    vbox xpos 0 ypos 0 spacing 5:
                        if hasattr(store, "d10s03_pete_ntr"):
                            if d10s03_pete_ntr:
                                textbutton "Let Pete stay with Samiya"  text_style "text_small_cheats" action SetVariable("d10s03_pete_ntr", False)
                            elif not d10s03_pete_ntr:
                                textbutton "Didn't let Pete stay with Samiya"  text_style "text_small_cheats" action SetVariable("d10s03_pete_ntr", True)
                        if hasattr(store, "d11s05_pb_retention"):
                            if d11s05_pb_retention:
                                textbutton "Enrolled Pete into retention program"  text_style "text_small_cheats" action SetVariable("d11s05_pb_retention", False)
                            elif not d11s05_pb_retention:
                                textbutton "Didn't enroll Pete into retention program"  text_style "text_small_cheats" action SetVariable("d11s05_pb_retention", True)
                ######################################################################
                elif variables_character == "other+points":
                    vbox xpos 0 ypos 0 spacing 5:
                        textbutton "{color=#F0F0F0}Fetish Locator points"  text_style "text_small_cheats" action NullAction()
                        bar value VariableValue("fl_points", 200):
                            xmaximum 300
                            ymaximum 5
                            left_bar Frame("gui/bar/left.png", 10, 0)
                            right_bar Frame("gui/bar/right.png", 10, 0)
                            left_gutter 0
                            right_gutter 0
                        vbox xpos 120 ypos -38 spacing 41:
                            text "{=bar_text} [fl_points]"
                        if date_aw:
                            textbutton "On Alison path"  text_style "text_small_cheats" action ToggleVariable("date_aw")
                        elif not date_aw:
                            textbutton "Not on Alison path"  text_style "text_small_cheats" action ToggleVariable("date_aw")

                        if hasattr(store, "date_jdg"):
                            if date_jdg:
                                textbutton "On Judge path"  text_style "text_small_cheats" action ToggleVariable("date_jdg")
                            elif not date_jdg:
                                textbutton "Not on Judge path"  text_style "text_small_cheats" action ToggleVariable("date_jdg")
                        if hasattr(store, "date_op"):
                            if date_op:
                                textbutton "On Oliver's path"  text_style "text_small_cheats" action SetVariable("date_op", False)
                            elif not date_op:
                                textbutton "Not on Oliver's path"  text_style "text_small_cheats" action SetVariable("date_op", True)
                        if hasattr(store, "d11s03_cl_blackmail"):
                            if d11s03_cl_blackmail:
                                textbutton "Let Cynthia blackmail you on Day 11"  text_style "text_small_cheats" action SetVariable("d11s03_cl_blackmail", False)
                            elif not d11s03_cl_blackmail:
                                textbutton "Didn't let Cynthia blackmail you on Day 11"  text_style "text_small_cheats" action SetVariable("d11s03_cl_blackmail", True)